#include "MainWindow.h"
#include "ui_MainWindow.h"

#include <QtWidgets/QMessageBox>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow) {

    ui->setupUi(this);

    connect(ui->actionHelpAboutQt, &QAction::triggered, qApp, &QApplication::aboutQt);
}

MainWindow::~MainWindow() {
    delete ui;
}

void MainWindow::on_actionHelpAboutNBTModifier_triggered() {
    QMessageBox info(this);

    info.setIcon(QMessageBox::Information);
    info.setWindowTitle(tr("About NBTModifier"));

    info.setStandardButtons(QMessageBox::Ok);

    info.setTextFormat(Qt::RichText);
    info.setText(tr(
        "NBTModifier 1.0.0<br>"
        "Copyright © 2020 Julien Rosset<br>"
        "<br>"
        "Use Qt 5.10.0 and FontAwesone icon pack<br>"
        "<br>"
        "<a href=\"mailto:jul.rosset@gmail.com\">jul.rosset@gmail.com</a><br>"
        "<a href=\"https://git.jrosset.ovh/darkelfe14728/NBTModifier\">Page du projet</a>"
    ));

    info.exec();
}